vectorfield.hh File Reference
`#include <mia/3d/valueattributetranslator.hh>`
`#include <mia/3d/datafield.hh>`
Include dependency graph for 3d/vectorfield.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C3DFVectorfield
| a 3D field of floating point single accuracy 3D vectors More...
class | C3DLinearVectorfieldInterpolator
class | T3DVectorfield< T >
| a 3D vector field More...

## Typedefs

typedef T3DVectorfield< C3DDVector > | C3DDVectorfield
| a 3D field of floating point double accuracy 3D vectors
typedef std::shared_ptr< C3DFVectorfield > | P3DFVectorfield

## Functions

EXPORT_3D C3DFVectorfield & | operator+= (C3DFVectorfield &lhs, const C3DFVectorfield &rhs)

## Variables

template class EXPORT_3D | T3DVectorfield< C3DDVector >
template class EXPORT_3D | T3DVectorfield< C3DFVector >

## Typedef Documentation

## P3DFVectorfield

typedef std::shared_ptr<C3DFVectorfield > P3DFVectorfield

Definition at line 134 of file 3d/vectorfield.hh.

## Variable Documentation

## T3DVectorfield< C3DDVector >

template class EXPORT_3D T3DVectorfield< C3DDVector >

extern

## T3DVectorfield< C3DFVector >

template class EXPORT_3D T3DVectorfield< C3DFVector >

extern